Bug 53914 - (IRQ Routing) SMP-kernel speeds up system clock under network load
(IRQ Routing) SMP-kernel speeds up system clock under network load
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-21 11:14 EDT by Joachim Frieben
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 22:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Actual output of the command 'lspci -vv' (3.42 KB, text/plain)
2001-09-22 05:02 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2001-09-21 11:14:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
The current SMP-kernel speeds up the system clock when data is transferred
via LAN. This is the case as much for incoming as for ougoing data. Using
the ordinary non-SMP-kernel makes this behaviour disappear. The
acceleration factor is about 4 for up-/downloading entire blocks of data
via FTP, and goes up to about 30 (!) when for instance the command 'ls -R
/' is executed on the remote computer, and the output is displayed on the
local host. This behaviour is independent of X and occurs already in a
simple text console at runlevel 3. Furthermore, it does not depend on the
type of connection (TELNET vs SSH).

Version-Release number of selected component (if applicable):
2.4.7-2

How reproducible:
Always

Steps to Reproduce:
1. Boot system into SMP mode
2. Login in to a remote computer via TELNET/SSH
3. Type 'ls -R /'



Actual Results:  The system clock runs forward in time like crazy!

Expected Results:  System clock keeps running at regular speed

Additional info:

The current system is an INTEL PR440FX based Dual Pentium Pro workstation
with 512 MB of system memory and an integrated INTEL EtherExpress Pro 100B
10/100 MBit/s network adapter.
Comment 1 Arjan van de Ven 2001-09-21 11:23:58 EDT
Hi,

Could you attach the ouput of "lspci -vv" to this bug ?

Thanks
Comment 2 Joachim Frieben 2001-09-22 05:02:24 EDT
Created attachment 32398 [details]
Actual output of the command 'lspci -vv'
Comment 3 Alan Cox 2003-06-07 13:56:01 EDT
Is this still the case with the newer kernels. It should be resolved nowdays
(including with the later errata kernels)

Note You need to log in before you can comment on or make changes to this bug.